package com.aucma.api.service;

import com.aucma.api.domain.dto.RepairSubmitInfoDto;
import com.aucma.report.domain.ReportQualityInspection;

import java.util.List;

/**
 * @author wanghao
 * @date 2023/11/14  9:56
 */
public interface IPdaBindingService {
    String selectBoxNameByCode(String boxCode);

    int insertBindingInfo(String boxCode, String boxName, String innerCode);

    int countQualityRecordByCode(String code);

    int updateCodeBinding(String boxCode, String innerCode);

    int submitRepair(RepairSubmitInfoDto info);

    List<ReportQualityInspection> findCheckInfoByCode(String code);

    List<ReportQualityInspection> checkSelectRepairInfo(String code);
}
